#include <KeyboardCodes.h>

using namespace Awesomium::KeyCodes;

namespace AwesomiumDotNet
{
	public enum class KeyCodes
	{
		Back = Awesomium::KeyCodes::AK_BACK,
		Tab = Awesomium::KeyCodes::AK_TAB,
		Clear = Awesomium::KeyCodes::AK_CLEAR,
		Return = Awesomium::KeyCodes::AK_RETURN,
		Shift = Awesomium::KeyCodes::AK_SHIFT,
		Control = Awesomium::KeyCodes::AK_CONTROL,
		Menu = Awesomium::KeyCodes::AK_MENU,
		Pause = Awesomium::KeyCodes::AK_PAUSE,
		Capital = Awesomium::KeyCodes::AK_CAPITAL,
		Kana = Awesomium::KeyCodes::AK_KANA,
		Hangul = Awesomium::KeyCodes::AK_HANGUL,
		Junja = Awesomium::KeyCodes::AK_JUNJA,
		Final = Awesomium::KeyCodes::AK_FINAL,
		Hanja = Awesomium::KeyCodes::AK_HANJA,
		Kanji = Awesomium::KeyCodes::AK_KANJI,
		Escape = Awesomium::KeyCodes::AK_ESCAPE,
		Convert = Awesomium::KeyCodes::AK_CONVERT,
		NonConvert = Awesomium::KeyCodes::AK_NONCONVERT,
		Accept = Awesomium::KeyCodes::AK_ACCEPT,
		ModeChange = Awesomium::KeyCodes::AK_MODECHANGE,
		Space = Awesomium::KeyCodes::AK_SPACE,
		Prior = Awesomium::KeyCodes::AK_PRIOR,
		Next = Awesomium::KeyCodes::AK_NEXT,
		End = Awesomium::KeyCodes::AK_END,
		Home = Awesomium::KeyCodes::AK_HOME,
		Left = Awesomium::KeyCodes::AK_LEFT,
		Up = Awesomium::KeyCodes::AK_UP,
		Right = Awesomium::KeyCodes::AK_RIGHT,
		Down = Awesomium::KeyCodes::AK_DOWN,
		Select = Awesomium::KeyCodes::AK_SELECT,
		Print = Awesomium::KeyCodes::AK_PRINT,
		Execute = Awesomium::KeyCodes::AK_EXECUTE,
		SnapShot = Awesomium::KeyCodes::AK_SNAPSHOT,
		Insert = Awesomium::KeyCodes::AK_INSERT,
		Delete = Awesomium::KeyCodes::AK_DELETE,
		Help = Awesomium::KeyCodes::AK_HELP,
		D0 = Awesomium::KeyCodes::AK_0,
		D1 = Awesomium::KeyCodes::AK_1,
		D2 = Awesomium::KeyCodes::AK_2,
		D3 = Awesomium::KeyCodes::AK_3,
		D4 = Awesomium::KeyCodes::AK_4,
		D5 = Awesomium::KeyCodes::AK_5,
		D6 = Awesomium::KeyCodes::AK_6,
		D7 = Awesomium::KeyCodes::AK_7,
		D8 = Awesomium::KeyCodes::AK_8,
		D9 = Awesomium::KeyCodes::AK_9,
		A = Awesomium::KeyCodes::AK_A,
		B = Awesomium::KeyCodes::AK_B,
		C = Awesomium::KeyCodes::AK_C,
		D = Awesomium::KeyCodes::AK_D,
		E = Awesomium::KeyCodes::AK_E,
		F = Awesomium::KeyCodes::AK_F,
		G = Awesomium::KeyCodes::AK_G,
		H = Awesomium::KeyCodes::AK_H,
		I = Awesomium::KeyCodes::AK_I,
		J = Awesomium::KeyCodes::AK_J,
		K = Awesomium::KeyCodes::AK_K,
		L = Awesomium::KeyCodes::AK_L,
		M = Awesomium::KeyCodes::AK_M,
		N = Awesomium::KeyCodes::AK_N,
		O = Awesomium::KeyCodes::AK_O,
		P = Awesomium::KeyCodes::AK_P,
		Q = Awesomium::KeyCodes::AK_Q,
		R = Awesomium::KeyCodes::AK_R,
		S = Awesomium::KeyCodes::AK_S,
		T = Awesomium::KeyCodes::AK_T,
		U = Awesomium::KeyCodes::AK_U,
		V = Awesomium::KeyCodes::AK_V,
		W = Awesomium::KeyCodes::AK_W,
		X = Awesomium::KeyCodes::AK_X,
		Y = Awesomium::KeyCodes::AK_Y,
		Z = Awesomium::KeyCodes::AK_Z,
		LWin = Awesomium::KeyCodes::AK_LWIN,
		RWin = Awesomium::KeyCodes::AK_RWIN,
		Apps = Awesomium::KeyCodes::AK_APPS,
		Sleep = Awesomium::KeyCodes::AK_SLEEP,
		NumPad0 = Awesomium::KeyCodes::AK_NUMPAD0,
		NumPad1 = Awesomium::KeyCodes::AK_NUMPAD1,
		NumPad2 = Awesomium::KeyCodes::AK_NUMPAD2,
		NumPad3 = Awesomium::KeyCodes::AK_NUMPAD3,
		NumPad4 = Awesomium::KeyCodes::AK_NUMPAD4,
		NumPad5 = Awesomium::KeyCodes::AK_NUMPAD5,
		NumPad6 = Awesomium::KeyCodes::AK_NUMPAD6,
		NumPad7 = Awesomium::KeyCodes::AK_NUMPAD7,
		NumPad8 = Awesomium::KeyCodes::AK_NUMPAD8,
		NumPad9 = Awesomium::KeyCodes::AK_NUMPAD9,
		Multiply = Awesomium::KeyCodes::AK_MULTIPLY,
		Add = Awesomium::KeyCodes::AK_ADD,
		Separator = Awesomium::KeyCodes::AK_SEPARATOR,
		Subtract = Awesomium::KeyCodes::AK_SUBTRACT,
		Decimal = Awesomium::KeyCodes::AK_DECIMAL,
		Divide = Awesomium::KeyCodes::AK_DIVIDE,
		F1 = Awesomium::KeyCodes::AK_F1,
		F2 = Awesomium::KeyCodes::AK_F2,
		F3 = Awesomium::KeyCodes::AK_F3,
		F4 = Awesomium::KeyCodes::AK_F4,
		F5 = Awesomium::KeyCodes::AK_F5,
		F6 = Awesomium::KeyCodes::AK_F6,
		F7 = Awesomium::KeyCodes::AK_F7,
		F8 = Awesomium::KeyCodes::AK_F8,
		F9 = Awesomium::KeyCodes::AK_F9,
		F10 = Awesomium::KeyCodes::AK_F10,
		F11 = Awesomium::KeyCodes::AK_F11,
		F12 = Awesomium::KeyCodes::AK_F12,
		F13 = Awesomium::KeyCodes::AK_F13,
		F14 = Awesomium::KeyCodes::AK_F14,
		F15 = Awesomium::KeyCodes::AK_F15,
		F16 = Awesomium::KeyCodes::AK_F16,
		F17 = Awesomium::KeyCodes::AK_F17,
		F18 = Awesomium::KeyCodes::AK_F18,
		F19 = Awesomium::KeyCodes::AK_F19,
		F20 = Awesomium::KeyCodes::AK_F20,
		F21 = Awesomium::KeyCodes::AK_F21,
		F22 = Awesomium::KeyCodes::AK_F22,
		F23 = Awesomium::KeyCodes::AK_F23,
		F24 = Awesomium::KeyCodes::AK_F24,
		NumLock = Awesomium::KeyCodes::AK_NUMLOCK,
		Scroll = Awesomium::KeyCodes::AK_SCROLL,
		LShift = Awesomium::KeyCodes::AK_LSHIFT,
		RShift = Awesomium::KeyCodes::AK_RSHIFT,
		LControl = Awesomium::KeyCodes::AK_CONTROL,
		RControl = Awesomium::KeyCodes::AK_RCONTROL,
		LMenu = Awesomium::KeyCodes::AK_LMENU,
		RMenu = Awesomium::KeyCodes::AK_RMENU,
		BrowserBack = Awesomium::KeyCodes::AK_BROWSER_BACK,
		BrowserForward = Awesomium::KeyCodes::AK_BROWSER_FORWARD,
		BrowserRefresh = Awesomium::KeyCodes::AK_BROWSER_REFRESH,
		BrowserStop = Awesomium::KeyCodes::AK_BROWSER_STOP,
		BrowserSearch = Awesomium::KeyCodes::AK_BROWSER_SEARCH,
		BrowserFavorites = Awesomium::KeyCodes::AK_BROWSER_FAVORITES,
		BrowserHome = Awesomium::KeyCodes::AK_BROWSER_HOME,
		VolumeMute = Awesomium::KeyCodes::AK_VOLUME_MUTE,
		VolumeDown = Awesomium::KeyCodes::AK_VOLUME_DOWN,
		VolumeUp = Awesomium::KeyCodes::AK_VOLUME_UP,
		MediaNextTrack = Awesomium::KeyCodes::AK_MEDIA_NEXT_TRACK,
		MediaPrevTrack = Awesomium::KeyCodes::AK_MEDIA_PREV_TRACK,
		MediaStop = Awesomium::KeyCodes::AK_MEDIA_STOP,
		MediaPlayPause = Awesomium::KeyCodes::AK_MEDIA_PLAY_PAUSE,
		LaunchMail = Awesomium::KeyCodes::AK_MEDIA_LAUNCH_MAIL,
		SelectMedia = Awesomium::KeyCodes::AK_MEDIA_LAUNCH_MEDIA_SELECT,
		LaunchApplication1 = Awesomium::KeyCodes::AK_MEDIA_LAUNCH_APP1,
		LaunchApplication2 = Awesomium::KeyCodes::AK_MEDIA_LAUNCH_APP2,
		Oem1 = Awesomium::KeyCodes::AK_OEM_1,
		OemPlus = Awesomium::KeyCodes::AK_OEM_PLUS,
		OemComma = Awesomium::KeyCodes::AK_OEM_COMMA,
		OemMinus = Awesomium::KeyCodes::AK_OEM_MINUS,
		OemPeriod = Awesomium::KeyCodes::AK_OEM_PERIOD,
		Oem2 = Awesomium::KeyCodes::AK_OEM_2,
		Oem3 = Awesomium::KeyCodes::AK_OEM_3,
		Oem4 = Awesomium::KeyCodes::AK_OEM_4,
		Oem5 = Awesomium::KeyCodes::AK_OEM_5,
		Oem6 = Awesomium::KeyCodes::AK_OEM_6,
		Oem7 = Awesomium::KeyCodes::AK_OEM_7,
		Oem8 = Awesomium::KeyCodes::AK_OEM_8,
		Oem102 = Awesomium::KeyCodes::AK_OEM_102,
		ProcessKey = Awesomium::KeyCodes::AK_PROCESSKEY,
		Packet = Awesomium::KeyCodes::AK_PACKET,
		Attn = Awesomium::KeyCodes::AK_ATTN,
		Crsel = Awesomium::KeyCodes::AK_CRSEL,
		Exsel = Awesomium::KeyCodes::AK_EXSEL,
		Ereof = Awesomium::KeyCodes::AK_EREOF,
		Play = Awesomium::KeyCodes::AK_PLAY,
		Zoom = Awesomium::KeyCodes::AK_ZOOM,
		NoName = Awesomium::KeyCodes::AK_NONAME,
		Pa1 = Awesomium::KeyCodes::AK_PA1,
		OemClear = Awesomium::KeyCodes::AK_OEM_CLEAR,
		Unknown = Awesomium::KeyCodes::AK_UNKNOWN
	};
};
